package com.ruoyi.system.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.system.domain.TKufang;

/**
 * 库房Service接口
 * 
 * @author ruoyi
 * @date 2024-02-20
 */
public interface ITKufangService 
{
    /**
     * 查询库房
     * 
     * @param id 库房主键
     * @return 库房
     */
    public TKufang selectTKufangById(Long id);

    /**
     * 查询库房列表
     * 
     * @param tKufang 库房
     * @return 库房集合
     */
    public List<TKufang> selectTKufangList(TKufang tKufang);

    /**
     * 新增库房
     * 
     * @param tKufang 库房
     * @return 结果
     */
    public int insertTKufang(TKufang tKufang);

    /**
     * 修改库房
     * 
     * @param tKufang 库房
     * @return 结果
     */
    public int updateTKufang(TKufang tKufang);

    /**
     * 批量删除库房
     * 
     * @param ids 需要删除的库房主键集合
     * @return 结果
     */
    public int deleteTKufangByIds(Long[] ids);

    /**
     * 删除库房信息
     * 
     * @param id 库房主键
     * @return 结果
     */
    public int deleteTKufangById(Long id);

    List<Map<String, Object>> getUserByRole();
}
